Skip to main content
GET
/
v1
/
api_keys
List API keys
curl --request GET \
  --url https://api.rootly.com/v1/api_keys \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rootly.com/v1/api_keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rootly.com/v1/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "type": "api_keys",
      "attributes": {
        "name": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>",
        "description": "<string>",
        "role_id": "<string>",
        "on_call_role_id": "<string>",
        "expires_at": "<string>",
        "last_used_at": "<string>",
        "grace_period_ends_at": "<string>"
      }
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "last": "<string>"
  },
  "meta": {
    "current_page": 123,
    "next_page": 123,
    "prev_page": 123,
    "total_count": 123,
    "total_pages": 123,
    "next_cursor": "<string>"
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
string

Comma-separated list of relationships to include (role, on_call_role, created_by, groups)

page[number]
integer
page[size]
integer
filter[kind]
string

Filter by API key kind: personal, team, organization

Search by name (case-insensitive partial match)

filter[name]
string

Filter by exact name

filter[user_id]
string

Filter by the user ID that owns the key

filter[group_ids]
string

Filter team keys by group IDs (comma-separated)

filter[role_id]
string

Filter by role ID

filter[active]
boolean

When true, return only non-expired keys

filter[expired]
boolean

When true, return only expired keys

filter[created_at][gt]
string

Created after (ISO 8601)

filter[created_at][gte]
string

Created at or after (ISO 8601)

filter[created_at][lt]
string

Created before (ISO 8601)

filter[created_at][lte]
string

Created at or before (ISO 8601)

filter[expires_at][gt]
string

Expires after (ISO 8601)

filter[expires_at][gte]
string

Expires at or after (ISO 8601)

filter[expires_at][lt]
string

Expires before (ISO 8601). Useful for finding keys approaching expiration.

filter[expires_at][lte]
string

Expires at or before (ISO 8601)

filter[last_used_at][gt]
string

Last used after (ISO 8601)

filter[last_used_at][gte]
string

Last used at or after (ISO 8601)

filter[last_used_at][lt]
string

Last used before (ISO 8601)

filter[last_used_at][lte]
string

Last used at or before (ISO 8601)

sort
string

Sort by field. Prefix with - for descending (e.g., -created_at, expires_at)

Response

success

data
object[]
required
meta
object
required
included
object[]